﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Win;
using Infragistics.Win.UltraWinSchedule;
using Infragistics.Win.UltraWinSchedule.MonthViewMulti;

namespace CustomMonths
{
    class MonthDrawFilter : IUIElementDrawFilter
    {
        bool IUIElementDrawFilter.DrawElement(DrawPhase drawPhase, ref UIElementDrawParams drawParams)
        {
            TextUIElement dateHeader = (TextUIElement)drawParams.Element.ChildElements[0];

            String croatianDate = dateHeader.Text;
            String month = croatianDate.Split(' ').FirstOrDefault();
            String year = croatianDate.Substring(month.Length + 1, 4);

            switch (month)
            {
                case "siječanj":
                    dateHeader.Text = "January" + " " + year;
                    break;
                case "veljača":
                    dateHeader.Text = "February" + " " + year;
                    break;
                case "ožujak":
                    dateHeader.Text = "March" + " " + year;
                    break;
                case "travanj":
                    dateHeader.Text = "April" + " " + year;
                    break;
                case "svibanj":
                    dateHeader.Text = "May" + " " + year;
                    break;
                case "lipanj":
                    dateHeader.Text = "June" + " " + year;
                    break;
                case "srpanj":
                    dateHeader.Text = "July" + " " + year;
                    break;
                case "kolovoz":
                    dateHeader.Text = "August" + " " + year;
                    break;
                case "rujan":
                    dateHeader.Text = "September" + " " + year;
                    break;
                case "listopad":
                    dateHeader.Text = "October" + " " + year;
                    break;
                case "studeni":
                    dateHeader.Text = "November" + " " + year;
                    break;
                case "prosinac":
                    dateHeader.Text = "December" + " " + year;
                    break;
                default:
                    break;
            }
            return false;
        }

        DrawPhase IUIElementDrawFilter.GetPhasesToFilter(ref UIElementDrawParams drawParams)
        {
            if (drawParams.Element is MonthHeaderAreaUIElement)
            {
                return DrawPhase.BeforeDrawElement;
            }

            return DrawPhase.None;
        }
    }
}
